SystemOrganization addCategory: #GODBasesTests!

TestCase subclass: #GDBDataTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODBasesTests'!

!GDBDataTest class methodsFor: 'as yet unclassified' stamp: 'lacm 11/5/2014 16:04'!
setUp	
	super setUp.	
	GDBMagmaServer new createGDBRepository.
	GDBMagmaServer new startGDBServer.
	
	GDBController uniqueInstance.! !

!GDBDataTest methodsFor: 'helper' stamp: 'lacm 11/5/2014 15:51'!
myMagmaCollection
	^ GDBConnection database.! !

!GDBDataTest methodsFor: 'tests' stamp: 'lacm 11/5/2014 15:52'!
testAddGODDataIsSaved
	|retrievedLastGODData|
	(1 to: 10)
		do: [:value|
				GDBController add: (GODData new author: 'author', value asString;
													title: 'title', value asString;
													yourself)		
			].	 (1 to: 10)
		
	GDBController release.
	
	self should:[self myMagmaCollection size = 10].
	retrievedLastGODData:= self myMagmaCollection detectMax:[:each | each id].
	self shouldnt:[retrievedLastGODData id = 10]. ! !

!GDBDataTest methodsFor: 'tests' stamp: 'lacm 11/5/2014 15:53'!
testRemoveGODDataIsSaved
	|removedGODData|
       removedGODData:= GODData new author: 'author';
										  title: 'title';
										  yourself.		
	GDBController add: removedGODData.
	
	self should:[self myMagmaCollection size = 1].
	
	GDBController remove: removedGODData.
	
	GDBController release.
	
	self should:[self myMagmaCollection size = 0].! !

!GDBDataTest methodsFor: 'tests' stamp: 'lacm 11/5/2014 15:57'!
testRepositoryEmptyDatabase
	self should: [self myMagmaCollection size = 0].! !
